/**
 * Classe de configuração da url de storage da logistica.
 */
export declare class FileStorageConfig {
    private _downloadUrl;
    private _zipUrl;
    readonly downloadUrl: import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para download de arquivo do storage da logística
     * @param url a url do comando, finalizando em /
     */
    setDownloadUrl(url: string): void;
    readonly zipUrl: import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para download de arquivos em zip do storage da logística
     * @param url a url do comando
     */
    setZipUrl(url: string): void;
}
export declare const fileStorageConfig: FileStorageConfig;
